summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: f693b7e)
raw | patch | inline | side by side (parent: f693b7e)
author | Martin Koegler <mkoegler@auto.tuwien.ac.at> | |
Wed, 22 Jul 2009 05:30:58 +0000 (07:30 +0200) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Thu, 23 Jul 2009 04:57:41 +0000 (21:57 -0700) |
Replace remaining git-XXX calls with git XXX.
Signed-off-by: Martin Koegler <mkoegler@auto.tuwien.ac.at>
Acked-by: Nanako Shiraishi <nanako3@lavabit.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
Signed-off-by: Martin Koegler <mkoegler@auto.tuwien.ac.at>
Acked-by: Nanako Shiraishi <nanako3@lavabit.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-stash.sh | patch | blob | history |
diff --git a/git-stash.sh b/git-stash.sh
index 531c7c31aca87db77e54c46ffb89899652a79fcd..03e589f764ba0570559fdb23a9a11cc2a0f24044 100755 (executable)
--- a/git-stash.sh
+++ b/git-stash.sh
git diff-tree --binary $s^2^..$s^2 | git apply --cached
test $? -ne 0 &&
die 'Conflicts in index. Try without --index.'
- unstashed_index_tree=$(git-write-tree) ||
+ unstashed_index_tree=$(git write-tree) ||
die 'Could not save index tree'
git reset
fi
then
export GIT_MERGE_VERBOSITY=0
fi
- if git-merge-recursive $b_tree -- $c_tree $w_tree
+ if git merge-recursive $b_tree -- $c_tree $w_tree
then
# No conflict
if test -n "$unstashed_index_tree"
fi
stash=$2
- git-checkout -b $branch $stash^ &&
+ git checkout -b $branch $stash^ &&
apply_stash --index $stash &&
drop_stash $stash
}